
def random_word_embedding(word_index, embedding_matrix, max_words=10000):
    """
    Generate random word embeddings from a pre-trained embedding matrix.

    :param word_index: Dictionary mapping words to an integer index.
    :param embedding_matrix: Numpy array of shape (vocab_size, embedding_dim) containing pre-trained word embeddings.
    :param max_words: Maximum number of words to consider for embedding.
    :return: Random word embeddings as a list of numpy arrays.
    """
    random_words = list(word_index.keys())[:max_words]
    random_embeddings = [embedding_matrix[word_index[word]] for word in random_words]
    return random_embeddings



